Download it now!
Bug 55085 - Landscape printing prints as portrait with content turned at 90 degree
Summary: Landscape printing prints as portrait with content turned at 90 degree
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-19 09:10 UTC by Guido
Modified: 2014-01-13 13:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guido 2012-09-19 09:10:24 UTC

    
Comment 1 Guido 2012-09-19 09:16:03 UTC
When printing a document in landscape (OS X) libre Office does print the document as portrait and turns the text accordingly.

This works mostly on laser or ink jet printers as they can turn a page orientation.

On some application this procedure fails, when the printer is not able to turn the Orientation.  I.E. when you are printing on pre print formulas, larger size copiers with special paper feeds etc.

Workaround is possible to export the document as PDF and print the PDF from viewer. Still annoying and unsuable for automated printing!
Comment 2 Roman Eisele 2012-09-19 16:45:51 UTC
(Bug not confirmed yet, therefore resetting Status field to “UNCONFIRMED”. No offence -- this is just necessary for correct bug handling.)


@Alex Thurgood:
Hi Alex,

this is yet another printing issue. I am sorry to throw so many bugs at you, but I still can’t test printing, and you are becoming our “LibreOffice printing issues on Mac OS X” expert ;-) So, as our expert, can you please take a look at this issue if you find some time?

Thank you very much!

[PS: feel free to CC me for any other bug about which you think I could help ...]
Comment 3 Alex Thurgood 2012-09-24 08:13:12 UTC
Guido,

I'm sorry, but your report is too vague, please give me a concrete example of when and where this does/doesn't work, otherwise I'm going to spend hours just trying to reproduce.


Surely, the result depends :
- on the ODF document page setting ?
- on the orientation print option used when calling the Print Dialog ?

"On some application this procedure fails" - please be more precise, which applications, which document in particular, which Print Options ?


Alex
Comment 4 Roman Eisele 2012-09-25 08:15:54 UTC
(Status set according to comment #3.)
Comment 5 QA Administrators 2013-05-29 23:04:54 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 6 QA Administrators 2013-07-08 21:22:42 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Comment 7 EDWARD R SCOTT 2014-01-13 06:47:15 UTC
*** Bug 68032 has been marked as a duplicate of this bug. ***
Comment 8 Ruslan Kabatsayev 2014-01-13 07:59:06 UTC
Oh great, my bug has been marked as a duplicate of resolved-invalid because of inactivity bug. Could this one then be reopened? I'll try to add any necessary info (in addition to steps to reproduce already present in the duplicate bug).
Comment 9 Ruslan Kabatsayev 2014-01-13 08:00:36 UTC
And yes, my duplicate is about Linux, not MacOSX.